﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void WebHierarchicalDataGrid1_RowIslandCreated(object sender, Infragistics.Web.UI.GridControls.RowIslandEventArgs e)
    {
        //get whatever data is needed about the new child band

        bool shouldDisplayFirstTemplateLabel = true;
        if (e.RowIsland.Rows.Count < 5)
        {
            shouldDisplayFirstTemplateLabel = false;
        }
        e.RowIsland.Behaviors.EditingCore.Behaviors.RowEditTemplate.Template = new customChildTemplate(shouldDisplayFirstTemplateLabel);
    }


}

class customChildTemplate : ITemplate
{
    public customChildTemplate(bool displayNameLabel1)
    {
        ShouldDisplayLabel1 = displayNameLabel1;
    }

    private bool ShouldDisplayLabel1 { get; set; }

    public void InstantiateIn(Control container)
    {
        if (ShouldDisplayLabel1)
        {
            Label label1 = new Label();
            label1.Text = "CompanyName";
            label1.ID = "NameLabel1";

            container.Controls.Add(label1);
        }
        TextBox textBox1 = new TextBox();
        textBox1.ID = "NameTextBox1";

        Button b1 = new Button();
        b1.Text = "OK";
        b1.ID = "OkButton";
        b1.UseSubmitBehavior = false;
        b1.OnClientClick = "return";
        b1.CausesValidation = false;

        Button b2 = new Button();
        b2.Text = "Cancel";
        b2.ID = "CancelButton";
        b2.UseSubmitBehavior = false;
        b2.OnClientClick = "return";
        b2.CausesValidation = false;

        container.Controls.Add(textBox1);
        container.Controls.Add(b1);
        container.Controls.Add(b2);
    }
}